from maze import Maze

if __name__ == '__main__':
  # Maze needs a png image to work with.
  # Please check the example maze first.
  # If you want to draw your own maze, it needs
  # 
  # 1. one red pixel to mark the start,
  # 2. a green exit area which doesn't have to
  #    be part of the wall
  # 3. matching start_color and exit_color in the
  #    Maze class. They need to be consistent with
  #    your color scheme (grayscale, RGB, RGBA, ...)
  m = Maze('./maze.png')
  
  # for safety reasons, start developing with
  # 100 iterations maximum. without this check
  # it is difficult to know if you are in an
  # infinite loop.
  max_i = 100 
  while not m.is_exit() and max_i > 0:
    max_i -= 1

    # The Maze class provides you
    # 
    # get_next_position()
    # can_move()
    # turn_left()
    # turn_right()
    # is_exit()
    # move()
    # 
    # and some more.
